<?php
namespace Pinpoint\Feed\Cron;

use Magento\Store\Model\StoreManagerInterface;
use Pinpoint\Feed\Model\ProductFeed;
use Psr\Log\LoggerInterface;

class ProductFeedCron
{
    protected $productFeed;
    protected $logger;

    /**
     * @var \Magento\Store\Model\StoreManagerInterface
     */
    protected $storeManager;

    public function __construct(ProductFeed $productFeed, LoggerInterface $logger, StoreManagerInterface $storeManager)
    {
        $this->productFeed = $productFeed;
        $this->storeManager = $storeManager;
        $this->logger =  $logger;
    }

    public function execute()
    {
        $stores = $this->storeManager->getStores();

        foreach ($stores as $store) {
            $this->logger->info('Product Feed Cron Running for store: ' . $store->getName());
            $this->productFeed->setStore($store);
            $this->productFeed->generateXml();
            $this->logger->info('Product Feed Completed: ' . $store->getName());
        }
    }
}